Package org.apache.commons.fileupload

# Class FileUploadBase.SizeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.commons.fileupload.FileUploadException
org.apache.commons.fileupload.FileUploadBase.SizeException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `FileUploadBase.FileSizeLimitExceededException`, `FileUploadBase.SizeLimitExceededException`

Enclosing class:
  `FileUploadBase`

protected abstract static class FileUploadBase.SizeException extends FileUploadException
This exception is thrown, if a requests permitted size is exceeded.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `SizeException(String message, long actual, long permitted)`
  Creates a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getActualSize()`
  Gets the actual size of the request.
  `long`
  `getPermittedSize()`
  Gets the permitted size of the request.

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SizeException

    protected SizeException(String message, long actual, long permitted)
    Creates a new instance.
    Parameters:
      `message` - The detail message.
      `actual` - The actual number of bytes in the request.
      `permitted` - The requests size limit, in bytes.

- ## Method Details

  - ### getActualSize

    public long getActualSize()
    Gets the actual size of the request.
    Returns:
      The actual size of the request.
    Since:
      1.3

  - ### getPermittedSize

    public long getPermittedSize()
    Gets the permitted size of the request.
    Returns:
      The permitted size of the request.
    Since:
      1.3